Bug 33606 - большой архитектурно-зависимый пакет с данными
: большой архитектурно-зависимый пакет с данными
Status: RESOLVED LATER
: Sisyphus
(All bugs in Sisyphus/python-module-mpl_toolkits.basemap-data)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2017-06-30 22:41 by
Modified: 2017-07-03 00:06 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-06-30 22:41:13
Понятно, что /usr/lib64/python2.7 -- но вдруг возможно переложить в /usr/share?
------- Comment #1 From 2017-06-30 23:20:47 -------
Там есть .so в этом пакете/namespace, поэтому перекладывать всё нельзя, а если
часть -- то может не найтись.

[imz@people RPMS.classic]$ fgrep /mpl_toolkits
/ALT/Sisyphus/{x86_64,noarch}/base/contents_index | fgrep -v /data | fgrep -v
.py | fgrep -v pickle | fgrep -v tests | fgrep .so
/ALT/Sisyphus/x86_64/base/contents_index:/usr/lib64/python2.7/site-packages/mpl_toolkits/basemap/_proj.so
   python-module-mpl_toolkits.basemap
/ALT/Sisyphus/x86_64/base/contents_index:/usr/lib64/python3/site-packages/mpl_toolkits/basemap/_proj.cpython-35m.so
   python3-module-mpl_toolkits.basemap

Можно вникнуть в пакет и указать другое место для данных.

А можно сделать просто и не вникая: переместить и поставить symlink (на
каталог).
------- Comment #2 From 2017-06-30 23:24:06 -------
(In reply to comment #1)

> А можно сделать просто и не вникая: переместить и поставить symlink (на
> каталог).

Но rpm это плохо переносит.

Symlinks на все файлы тоже не очень изящно выглядит.

Остаётся вникнуть и перенастроить пакет.
------- Comment #3 From 2017-07-01 10:40:49 -------
(В ответ на комментарий №2)
> > А можно сделать просто и не вникая: переместить и поставить symlink
> > (на каталог).
> Но rpm это плохо переносит.
Именно.

> Остаётся вникнуть и перенастроить пакет.
Или оставить его пока(tm) в покое...
------- Comment #4 From 2017-07-02 12:31:21 -------
2vseleznv: How was it fixed?
------- Comment #5 From 2017-07-03 00:06:22 -------
(In reply to comment #4)
> 2vseleznv: How was it fixed?

It shouldn't. I just don't know what went wrong.